/** \file Os.h
    \brief Declaration of Os class.
    \author James Peachey

    The Profit software package was developed by Dr. Randall Smith and
    Mr. James Peachey at the High Energy Astrophysics Science Archive
    Research Center (HEASARC) at the Goddard Space Flight Center (GSFC)
    of the National Aeronautics and Space Administration (NASA).
*/
#ifndef profit_Os_h
#define profit_Os_h

#include <string>

namespace profit {

  class Os {
    public:
      static std::string getEnv(const std::string & var_name);
      static void setEnv(const std::string & var_name, const std::string & value);
      static std::string appendPath(const std::string & path1, const std::string & path2);
      static std::string joinPathSegment(const std::string & segment1, const std::string & segment2);
      static void readEnv(const std::string & config_file_name);
      static std::string expandEnv(const std::string & text);
  };

}

#endif
